Loading...
Searching...
No Matches
BpGraph::IncEdgeIt Class Reference

## Detailed Description

This iterator goes trough the incident undirected edges of a certain node of a graph. Its usage is quite simple, for example, you can compute the degree (i.e. the number of incident edges) of a node `n` in a graph `g` of type `BpGraph` as follows.

int count=0;
for(BpGraph::IncEdgeIt e(g, n); e!=INVALID; ++e) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::concepts::BpGraph::IncEdgeIt
Iterator class for the incident edges of a node.
Definition bpgraph.h:412

Warning
  Loop edges will be iterated twice.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::IncEdgeIt:
[legend]

## Public Member Functions

| IncEdgeIt ()
| Default constructor.
| IncEdgeIt (const IncEdgeIt &e)
| Copy constructor.
| IncEdgeIt (Invalid)
| Invalid constructor & conversion.
| IncEdgeIt (const BpGraph &, const Node &)
| Sets the iterator to the first incident edge.
| IncEdgeIt (const BpGraph &, const Edge &)
| Sets the iterator to the given edge.
IncEdgeIt & | operator++ ()
| Next incident edge.
Public Member Functions inherited from BpGraph::Edge
| Edge ()
| Default constructor.
| Edge (const Edge &)
| Copy constructor.
| Edge (Invalid)
| Invalid constructor & conversion.
bool | operator== (Edge) const
| Equality operator.
bool | operator!= (Edge) const
| Inequality operator.
bool | operator< (Edge) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## IncEdgeIt() [1/5]

IncEdgeIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## IncEdgeIt() [2/5]

IncEdgeIt | ( | const IncEdgeIt & | e | ) |

inline

Copy constructor.

## IncEdgeIt() [3/5]

IncEdgeIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## IncEdgeIt() [4/5]

IncEdgeIt | ( | const BpGraph & | ,
|  | const Node & | )

inline

Sets the iterator to the first incident edge of the given node.

## IncEdgeIt() [5/5]

IncEdgeIt | ( | const BpGraph & | ,
|  | const Edge & | )

inline

Sets the iterator to the given edge of the given graph.

## Member Function Documentation

## operator++()

IncEdgeIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next incident edge of the corresponding node.